function data = loadTissueData(filename, numcols, numrows)
	if nargin < 3, numrows = Inf; end
	disp(['Loading ', num2str(numcols), 'x', num2str(numrows), ' elements. Space needed = ', num2str(8 * numcols * numrows / 1024 / 1024), ' MB']);
	
	myfile = fopen (filename, 'r');
		data = fread(myfile, [numcols numrows], 'double')';
	fclose(myfile);